Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dynamic Languages Toolkit (DLTK) » DLTK Ruby versions; development news?(Should I use 3.0Mx or 2.0 in a product based on DLTK Ruby?)
DLTK Ruby versions; development news? [message #647894] Mon, 10 January 2011 11:13
Gergely Nagy is currently offline Gergely Nagy
Messages: 17
Registered: July 2009
Junior Member

Can/should I use 3.0M4 rather than 2.0 with Helios? Only interested in Ruby support.[ 0 votes ]
1.No, 3.0Mx only works with Indigo+ 0 / 0%
2.It's safe but pointless to use 3.0M4 with Helos, but nothing interested happened as regards to Ruby support. 0 / 0%
3.It's safe enough to use 3.0x, but aren't many noticeable improvements yet. It's recommended only if you're planning to build upon it and adopt new APIs. 0 / 0%
4.3.0Mx is recommended: it's safe and there are noticeable improvements in Ruby support. 0 / 0%

In a Helios based product, I'm exposing the Ruby Editor for an internal DSL.. Currrenlty it's using an ancent DLTK (pre 1.0), am in the process of upgrading it.

So I'm wondering which version I should go for 3.0Mx or 2.0?
Please, make your vote on the attached poll.

I could not find anything like New Noteworthy, Release Notes, What's fixed, Project Plan, etc.. for either versions.. did I miss something?
If not, are there any plans to put those online? If not, what's the nearest match, ie. the best place to pick up development news?

Thanks a lot in advance,

Gergo
Previous Topic:ruby remote debugging
Next Topic:Validating references to variables, etc...
Goto Forum:
  


Current Time: Mon Sep 15 04:16:10 GMT 2014

Powered by FUDForum. Page generated in 0.01946 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software